// high score server and client protocols
#import <appkit/appkit.h>

@protocol HighScoreClient

- (oneway)cantBeServed;
- (oneway)sendGameInfoTo:(bycopy in id)aString;
- (oneway)sendSlotCode; // Not yet implemented.
- (oneway)acceptTable:(bycopy in id)aTable name:(bycopy in id)aString;
- (oneway)addSlot:(bycopy in id)aSlot tableName:(bycopy in id)aString;
- (oneway)removeSlotAt:(in int)i tableName:(bycopy in id)aString;
- (oneway)replaceSlotAt:(in int)i with:(bycopy in id)aSlot
		tableName:(bycopy in id)aString;
- password;

@end

@protocol HighScoreServer

// administrivia
- (oneway)setGameInfo:(bycopy in id)info;
- (oneway)addSlotCode:(bycopy in id)code;	// not yet implemented
- (oneway)setTemplate:(bycopy in id)newTemplate;
- (oneway)clientCheckIn:(in id <HighScoreClient>)client;					
- (oneway)clientDying:(in id <HighScoreClient>)client;

// table manipulation
- (oneway)addSlot:(bycopy in id)newSlot
		fromClient:(in id <HighScoreClient>)client;
- (oneway)clearTable:(in id <HighScoreClient>)sender;
- (oneway)deleteSlot:(in int)i client:(in id <HighScoreClient>)sender;
- (oneway)replaceSlot:(in int)i with:(bycopy in id)aSlot
		client:(in id <HighScoreClient>)sender;
- (oneway)lockTable;
- (oneway)unlockTable;
- (const char *)gameName;

@end

